﻿@using Microsoft.AspNetCore.Http;
@model CyberaniumModels.RBAC
@{
    ViewData["Title"] = "KPMG";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<style>
    .centerbox .cardbtn {
        width: 330px;
        margin-left: 10px;
    }

    a:hover {
        color: white;
        cursor: pointer;
    }
</style>
<script src="~/lib/jquery/dist/jquery.js"></script>

<section>
    <div class="right_section">
        <div class="titile_heading" id="title_List">
            <h1>Create Organogram</h1>
            <div class="titile_line"></div>
        </div>
        <div class="col-lg-8 col-md-8 col-sm-8 col-xs-8">
            <div class="right_panel">
                <div class="right_content">
                    <div class="centerbox">
                        <div class="cardbtn">
                            <a href="#" onclick="Active(this); $.get('/ApplicationManagement/Organization/Index', function (res) { $('#ajaxresult').html(res) });">
                                <div class="cardbtnIn">
                                    <div class="cardbtnimg">
                                        <img src="~/Image/CreateOrganogram/Organization.png" />
                                    </div>
                                    <div class="cardbtntext">Create Organogram</div>
                                </div>
                            </a>
                        </div>
                        <div class="cardbtn">
                            <a href="#" onclick="Active(this); $.get('/ApplicationManagement/OrganzationAssignToConsultant/Index', function (res) { $('#ajaxresult').html(res) });">
                            <div class="cardbtnIn">
                                <div class="cardbtnimg">
                                    <img src="~/Image/CreateOrganogram/assignTask.png" />
                                </div>
                                <div class="cardbtntext">Assign Organization</div>
                            </div>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-4 col-md-4 col-sm-4 col-xs-4">
            <div class="right_panel">
                <div class="right_content">
                    <h3>Organization Map</h3>
                    <ul class="orgmap" style="height: calc(100vh - 308px);overflow:auto;padding:10px">
                        @foreach (var item in Model.OrganizationList.Where(x => x.ChildOrgId == 0 && x.SubChildOrgId == 0))
                        {
                            <li class="first inactive assessment">
                                <div>
                                    <span class="text">@item.Name</span>
                                    <a href="#" class='edit_btn' title="Edit Organization" style="margin-top:19px;" onclick="$.get('/ApplicationManagement/Organization/Index', {id:'@item.Id',name:'@item.Name'}, function (res) { $('#ajaxresult').html(res) })">
                                    </a>
                                    <a href="#" class='delete_btn' title="Delete Organization" style="margin-top:19px;" onclick="DeleteOrganizationById('@item.Id', '@item.Name')">
                                    </a>
                                    @if (item.Status == 0)
                                    {
                                        <span class="icon"><img src="~/Image/CreateOrganogram/Trangle_Warning.png" /></span>
                                    }
                                    else if (item.Status == 1)
                                    {
                                        <span class="icon"><img src="~/Image/CreateOrganogram/Circle_Information.png" /></span>
                                        @*<span class="iconn"><a href="#" title="Activate Assessment" onclick="fn_updateOrgSignStaus(@item.Id)" class="btn btn-info btn-xs pull-left"><i class="fa fa-check" aria-hidden="true"></i></a></span>*@
                                    }
                                    else
                                    {
                                        <span class="icon"><img src="~/Image/CreateOrganogram/Triangle2.png" /></span>
                                    }
                                </div>
                                <ul>
                                    @foreach (var _item in Model.OrganizationList.Where(x => x.ChildOrgId == item.Id && x.SubChildOrgId == 0))
                                    {
                                        <li>
                                            <div>
                                                <span class="text">@_item.Name</span>
                                                @if (_item.Status == 0)
                                                {
                                                    <span class="icon"><img src="~/Image/CreateOrganogram/Trangle_Warning.png" /></span>
                                                }
                                                else if (_item.Status == 1)
                                                {
                                                    <span class="icon"><img src="~/Image/CreateOrganogram/Circle_Information.png" /></span>
                                                    @*<span class="iconn"><a href="#" title="Activate Assessment" onclick="fn_updateOrgSignStaus(@_item.Id)" class="btn btn-info btn-xs pull-left"><i class="fa fa-check" aria-hidden="true"></i></a></span>*@
                                                }
                                                else
                                                {
                                                    <span class="icon"><img src="~/Image/CreateOrganogram/Triangle2.png" /></span>
                                                }
                                            </div>
                                            <ul>
                                                @foreach (var __item in Model.OrganizationList.Where(x => x.ChildOrgId == 0 && x.SubChildOrgId == _item.Id))
                                                {
                                                    @if (!String.IsNullOrEmpty(__item.Name))
                                                    {
                                                        <li>
                                                            <div>
                                                                <span class="text">@__item.Name</span>
                                                                @if (__item.Status == 0)
                                                                {
                                                                    <span class="icon"><img src="~/Image/CreateOrganogram/Trangle_Warning.png" /></span>
                                                                }
                                                                else if (__item.Status == 1)
                                                                {
                                                                    <span class="icon"><img src="~/Image/CreateOrganogram/Circle_Information.png" /></span>
                                                                    @*<span class="iconn"><a href="#" title="Activate Assessment" onclick="fn_updateOrgSignStaus(@__item.Id)" class="btn btn-info btn-xs pull-left"><i class="fa fa-check" aria-hidden="true"></i></a></span>*@
                                                                }
                                                                else
                                                                {
                                                                    <span class="icon"><img src="~/Image/CreateOrganogram/Triangle2.png" /></span>
                                                                }
                                                            </div>
                                                        </li>
                                                    }
                                                }
                                            </ul>
                                        </li>
                                    }
                                </ul>
                            </li>
                        }
                    </ul>
                    <div class="clsHints">
                        <span class="icon"><img src="~/Image/CreateOrganogram/Trangle_Warning.png" />Clients are not ready for Assessment</span>
                        <span class="icon"><img src="~/Image/CreateOrganogram/Circle_Information.png" />Client ready for Assessment, Click on <img src="~/Image/CreateOrganogram/Signature.png" /> to activate</span>
                        <span class="icon"><img src="~/Image/CreateOrganogram/Triangle2.png" />Assessment Activated</span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<script>
    function Active(anchor) {
        $('.cardbtnIn').removeClass('active');
        $(anchor).children('div').addClass('active');
    }
    $(".orgmap .text").click(function () {
        $(this).parent().parent().toggleClass("inactive");
    })
    function DeleteOrganizationById(parentOrgId, parentOrgName) {
        Swal.fire({
            title: 'Are you sure?',
            text: 'You are about to delete all functions and process mapped to ' + parentOrgName,
            showCancelButton: true,
            confirmButtonText: 'Delete',
        }).then((result) => {
            if (result.isConfirmed) {
                $('#preloader').show();
                $.get('/ApplicationManagement/Organization/DeleteOrganizationById', { parentOrgId: parentOrgId }, function (res) {
                    if (res.isSuccess) {
                        $('#preloader').hide();
                        toastr.success(parentOrgName + ' deleted successfully');
                        $('a[href="/ApplicationManagement/ChildOrganization/Index"]').click();
                    } else {
                        toastr.warning('something went wrong!');
                    }
                })
            }
        })
    }
</script>